<?php

declare(strict_types=1);

namespace App\Filament\Resources\Bonuses\Pages;

use App\Exports\BonusesExport;
use App\Filament\Resources\Bonuses\BonusResource;
use App\Filament\Support\ExportExcelAction;
use Filament\Actions\CreateAction;
use Filament\Resources\Pages\ListRecords;

class ListBonuses extends ListRecords
{
    protected static string $resource = BonusResource::class;

    protected function getHeaderActions(): array
    {
        return [
            ExportExcelAction::make('export', BonusesExport::class, 'bonuses.xlsx'),
            CreateAction::make(),
        ];
    }
}
